Ticket #37866

wtk Project Environment and build-aux

Open Date: 2018-01-10 22:54 Last Update: 2021-04-16 06:56

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Rejected
File:
2
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

We need to ignore incidental project hierarchy files in VCS and add build-aux sub-module to configure.ac.

Ticket History (3/5 Histories)

2018-01-10 22:54 Updated by: earnie
  • New Ticket "wtk Project Environment and build-aux" created
2018-01-11 00:43 Updated by: keith
Comment

The nbproject and nohup.out files are peculiarities of your own build environment. Ignoring them, via .gitignore and .hgignore likely will not be helpful for others, but neither should it inconvenience anyone, so I've no objection to making this change.

OTOH, we do not need to incorporate build-aux, either as a sub-directory, or as a repository sub-module. What we do need is install-sh, which we may conveniently source from our existing build-aux source repository; alternatively, we could just as easily source it from any autoconf package distribution. In either case, it belongs in the ${top_srcdir} directory of wtklite, not in any build-aux sub-directory, and, as install-sh, it is already enumerated within both .gitignore and .hgignore. Thus, your proposed references to build-aux, in .gitignore, and as an AC_CONFIG_AUX_DIR reference in configure.ac, do not seem to be appropriate.

2021-04-16 06:56 Updated by: keith
  • Status Update from Open to Closed
  • Resolution Update from None to Rejected

Attachment File List

Edit

Please login to add comment to this ticket » Login